<div class="main-content pad">
    <div class="container-fluid">
    <div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-transaksi-heading" jhiTranslate="sisteminformasiakademikApp.transaksi.home.createOrEditLabel">Create or edit a Transaksi</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.nomor" for="field_nomor">Nomor</label>
                    <input type="text" class="form-control" name="nomor" id="field_nomor"
                           formControlName="nomor"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.tanggal" for="field_tanggal">Tanggal</label>
                    <div class="d-flex">
                        <input id="field_tanggal" type="datetime-local" class="form-control" name="tanggal" formControlName="tanggal" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.metode" for="field_metode">Metode</label>
                    <select class="form-control" name="metode" formControlName="metode" id="field_metode">
                        <option value="TUNAI">{{ 'sisteminformasiakademikApp.MetodeTransaksi.TUNAI' | translate }}</option>
                        <option value="TRANSFER">{{ 'sisteminformasiakademikApp.MetodeTransaksi.TRANSFER' | translate }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.bank" for="field_bank">Bank</label>
                    <select class="form-control" name="bank" formControlName="bank" id="field_bank">
                        <option value="BCA">{{ 'sisteminformasiakademikApp.Bank.BCA' | translate }}</option>
                        <option value="BNI">{{ 'sisteminformasiakademikApp.Bank.BNI' | translate }}</option>
                        <option value="MANDIRI">{{ 'sisteminformasiakademikApp.Bank.MANDIRI' | translate }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.nomorRekening" for="field_nomorRekening">Nomor Rekening</label>
                    <input type="text" class="form-control" name="nomorRekening" id="field_nomorRekening"
                           formControlName="nomorRekening"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.virtualAccount" for="field_virtualAccount">Virtual Account</label>
                    <input type="text" class="form-control" name="virtualAccount" id="field_virtualAccount"
                           formControlName="virtualAccount"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.status" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="SUKSES">{{ 'sisteminformasiakademikApp.StatusTransaksi.SUKSES' | translate }}</option>
                        <option value="PROSES">{{ 'sisteminformasiakademikApp.StatusTransaksi.PROSES' | translate }}</option>
                        <option value="GAGAL">{{ 'sisteminformasiakademikApp.StatusTransaksi.GAGAL' | translate }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.updateBy" for="field_updateBy">Update By</label>
                    <input type="text" class="form-control" name="updateBy" id="field_updateBy"
                           formControlName="updateBy"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.updateOn" for="field_updateOn">Update On</label>
                    <div class="d-flex">
                        <input id="field_updateOn" type="datetime-local" class="form-control" name="updateOn" formControlName="updateOn" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="sisteminformasiakademikApp.transaksi.tagihan" for="field_tagihan">Tagihan</label>
                    <select class="form-control" id="field_tagihan" name="tagihan" formControlName="tagihan">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="tagihanOption.id === editForm.get('tagihan')!.value?.id ? editForm.get('tagihan')!.value : tagihanOption" *ngFor="let tagihanOption of tagihans; trackBy: trackById">{{ tagihanOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
</div>
</div>
